%define upstream_name    Test-Run-Plugin-BreakOnFailure
%define upstream_version v0.0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Break on the first test failure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.12.0
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.12.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
This is a the Test::Run::CmdLine manpage plugin that terminates the test
suite after the first failing test script. This way, you can know more
quickly in case something went wrong.

To enable, add 'BreakOnFailure' to the 'HARNESS_PLUGINS' environment
variable and set the 'HARNESS_BREAK' environment variable to a true value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.0.5-3.mga6
+ Revision: 1034635
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.0.5-2.mga6
+ Revision: 966611
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 shlomif <shlomif> 0.0.5-1.mga6
+ Revision: 846060
- update to v0.0.5

* Sun Oct 19 2014 umeabot <umeabot> 0.0.4-4.mga5
+ Revision: 790549
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.0.4-3.mga5
+ Revision: 743639
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.4-2.mga5
+ Revision: 686538
- Mageia 5 Mass Rebuild

* Wed Apr 30 2014 shlomif <shlomif> 0.0.4-1.mga5
+ Revision: 618916
- update to v0.0.4

* Mon Feb 10 2014 jquelin <jquelin> 0.0.3-1.mga5
+ Revision: 588723
- update to v0.0.3

* Fri Oct 18 2013 umeabot <umeabot> 0.0.2-3.mga4
+ Revision: 515249
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 373774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.0.2-1.mga3
+ Revision: 330177
- update to v0.0.2

* Tue Oct 16 2012 shlomif <shlomif> 0.0.1-1.mga3
+ Revision: 307288
- imported package perl-Test-Run-Plugin-BreakOnFailure


* Tue Oct 16 2012 cpan2dist v0.0.1-1mga
- initial mageia release, generated with cpan2dist
